### Hierarchy

- BigIntConstructor

### Callable

- __call(value?: any): bigint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:37

  #### Parameters

  - ##### Optional value: any

  #### Returns bigint

## Index

### Properties

- prototype

### Methods

- asIntN
- asUintN

## Properties

### prototype

prototype: BigInt

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:39

## Methods

### asIntN

- asIntN(bits: number, int: bigint): bigint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:47

  Interprets the low bits of a BigInt as a 2's-complement signed integer. All higher bits are discarded.

  #### Parameters

  - ##### bits: number

    The number of low bits to use

  - ##### int: bigint

    The BigInt whose bits to extract

  #### Returns bigint

### asUintN

- asUintN(bits: number, int: bigint): bigint

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.esnext.bigint.d.ts:54

  Interprets the low bits of a BigInt as an unsigned integer. All higher bits are discarded.

  #### Parameters

  - ##### bits: number

    The number of low bits to use

  - ##### int: bigint

    The BigInt whose bits to extract

  #### Returns bigint

Generated using TypeDoc